Get the block for the given round. | Algorand Developer Portal

Get the block for the given round.

GET

/v2/blocks/{round}

Authorizations

Parameters

Path Parameters

round
required
integer
A round number.

Query Parameters

header-only
boolean
If true, only the block header (exclusive of payset or certificate) may be included in response.

format
string
Allowed values: json msgpack
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Responses

200

Encoded block object.

Select media type application/json application/msgpack
object
block
required
Block header data.

object
cert
Optional certificate object. This is only included when the format is set to message pack.

400

Bad Request - Non integer number

An error response with optional data field.

object
data
object
message
required
string
An error response with optional data field.

401

Invalid API Token

An error response with optional data field.

object
data
object
message
required
string
An error response with optional data field.

404

None existing block

An error response with optional data field.

object
data
object
message
required
string
An error response with optional data field.

500

Internal Error

An error response with optional data field.

object
data
object
message
required
string
An error response with optional data field.

default

Unknown Error